---
schema_version: "1"
id: e77d376515ed8b4f93e07088842e0edd4e53b1daa972b6a9adcbedcc3afbdf3a
title: Get a List of Objects
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-describeglobal.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-describeglobal.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 38f4f6fc191c883aff20535ddbdf061d4820d26d01afe05dc07897edd9ff9e26
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get a List of Objects

Use the Describe Global resource to list the objects available in your org and available to the logged-in user. This resource also returns the org encoding, as well as maximum batch size permitted in queries.

## Example usage

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/ -H "Authorization: Bearer token"
```

## Example request body

none required

## Example response body

```nolang
{ 
  "encoding" : "UTF-8", 
  "maxBatchSize" : 200, 
  "sobjects" : [ { 
    "activateable" : false, 
    "custom" : false,
    "customSetting" : false, 
    "createable" : true, 
    "deletable" : true, 
    "deprecatedAndHidden" : false, 
    "feedEnabled" : true, 
    "keyPrefix" : "001", 
    "label" : "Account", 
    "labelPlural" : "Accounts", 
    "layoutable" : true, 
    "mergeable" : true, 
    "mruEnabled" : true, 
    "name" : "Account", 
    "queryable" : true, 
    "replicateable" : true, 
    "retrieveable" : true, 
    "searchable" : true, 
    "triggerable" : true, 
    "undeletable" : true,
    "updateable" : true, 
    "urls" : { 
      "sobject" : "/services/data/v68.0/sobjects/Account", 
      "describe" : "/services/data/v68.0/sobjects/Account/describe", 
      "rowTemplate" : "/services/data/v68.0/sobjects/Account/{ID}" 
    },
  }, 
  ...
  ]
}
  
```

